#Close Order
#Request Path
/api/pos/order/closeOrder#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 48 | YES | Merchant unique order number |
| sn | String | 32 | YES | Device SN |
| bizType | String | 32 | YES | Transaction type, enumerated: Purchase |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| sn | String | 32 | YES | Device SN |
| orderId | String | 48 | YES | Merchant unique order number |
| orderNo | String | 48 | YES | Palmpay unique order number |
| amount | Long | - | YES | The transaction amount needs to be amplified 100 times, such as 0.1N -> 10N |
| status | Integer | 32 | YES | Order Status WAIT_NOTIFY(1) // Waiting for notification WAIT_PAY(2) // Waiting for payment PAYING(3) // Paying PAYED(4) // Paid CANCEL_PAY(5) // Cancel payment SUCCESS(6) // Business order successful FAIL(7) // Business order failed PENDING(8) // Business order pending |
| bizType | String | 32 | YES | Transaction type, enumerated: Purchase |
| callbackUrl | String | 255 | YES | Request callback address |
#Common Error Codes
#Postman Request Example
#request
curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/order/closeOrder' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer L240910133611075343802' \
--header 'Signature: up+OEKLNjt0K0kYBPTZmVn0VkhUdfaOwX5StACJiz+uZ/papUNimNhxuQdi4Wb5+e6Kgbza41Z+DVl9S/EIFWyYS6KIZZAOM3ZkKO/5k5xKermBEzX7vbxTSFH+nhNHrKrPTzNtC0VLb1GvpcTANpHqDZRqLw98yptz0xmIz0DKc8DcYLoy4xpm51ck9ekvB9GkA/A/pkpTTW/ByVT/qWrtbvOaoiBNK/PMQHf9k07xSl9yz5BbpTmT6F87w5i8kiWyLe0SnYk1V5oL5jvTkBp3t0HT8B49Zp8ocYhisYAPJ421GuDiKxsmfJsRu5JkTeHTfmoBskln5wWneRvNliA==' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "2025test001",
"sn": "PBE5226U30494",
"bizType": "Purchase",
"requestTime": 1546857549088,
"version": "V2.0",
"nonceStr": "tXIUBaQUUip97xhymcgvndYo6oSAvQXP"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"sn": "PBE5226U30494",
"orderId": "2025test001",
"orderNo": null,
"amount": 100,
"status": 5,
"bizType": "Purchase",
"callbackUrl": "https://ms.palmpay-inc.com/#/api/automation"
}
}